GETTEXT(1)

BEZEICHNUNG
gettext - Meldungen übersetzen

ÜBERSICHT
gettext [OPTION] [[TEXTDOMAIN] MSGID]
gettext [OPTION] -s [MSGID] …

BESCHREIBUNG
Das Programm gettext übersetzt eine Meldung aus der Ausgangssprache in die Sprache des Benutzers, indem die Übersetzung im Meldungskatalog nachgeschlagen wird.

Zeigt die Übersetzung einer Textmeldung an.

-d, --domain=TEXTDOMAIN
    bezieht die übersetzten Meldungen aus der angegebenen TEXTDOMAIN.

-c, --context=KONTEXT
    gibt den Kontext für MSGID an.

-e  aktiviert die Expansion einiger Maskiersequenzen.

-n  unterdrückt das Anhängen eines Zeilenumbruchs.

-E  (wird ignoriert; nur für Kompatibilitätszwecke)

[TEXTDOMAIN] MSGID
    bezieht die zur MSGID korrespondierende übersetzte Meldung aus der angegebenen TEXTDOMAIN.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

Falls der Parameter TEXTDOMAIN nicht angegeben ist, wird die Domain aus der Umgebungsvariable TEXTDOMAIN ermittelt. Wird der Meldungskatalog im vorgegebenen Verzeichnis nicht gefunden, dann können Sie mit der Umgebungsvariable TEXTDOMAINDIR einen anderen Ort angeben. Zusammen mit der Option -s verhält sich das Programm wie der Befehl echo(1). Allerdings kopiert es nicht einfach seine Argumente in die Standardausgabe. Stattdessen werden die im ausgewählten Katalog gefundenen Meldungen übersetzt. Das vorgegebene Suchverzeichnis ist /usr/share/locale.

AUTOR
Geschrieben von Ulrich Drepper.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf https://savannah.gnu.org/projects/gettext oder per E-Mail an bug-gettext@gnu.org (jeweils auf Englisch).

COPYRIGHT
Copyright © 1995-2020 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für gettext wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und gettext auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info gettext

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).